Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/waf: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 20 Nov 2015 12:04:55 +0200

Python-based meta build system
https://waf.io/
---
 testing/waf/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/waf/APKBUILD
diff --git a/testing/waf/APKBUILD b/testing/waf/APKBUILD
new file mode 100644
index 0000000..d4d8ff4
--- /dev/null
+++ b/testing/waf/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=waf
+pkgver=1.8.16
+pkgrel=0
+pkgdesc="Python-based meta build system"
+url="https://waf.io/"
+arch="noarch"
+license="BSD"
+depends="python"
+makedepends="python unzip"
+subpackages=""
+source="https://waf.io/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$_builddir"
+	./waf-light configure --prefix=/usr build \
+		--make-waf \
+		--tools='compat,compat15,ocaml,go,cython,scala,erlang,cuda,gcj,boost,pep8,eclipse' \
+		|| return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm755 waf "$pkgdir"/usr/bin/waf
+	local _rev=$(grep '^REVISION="[[:xdigit:]]*"$' "$pkgdir"/usr/bin/waf | cut -d\" -f2)
+	local _lib="$pkgdir"/usr/lib/$pkgname-$pkgver-$_rev
+	install -dm755 "$_lib"
+	unzip -d "$_lib" zip/waflib.zip
+	python -m compileall "$_lib"
+}
+
+md5sums="c68227e4d40c0bdd0aadab22a7a27a44  waf-1.8.16.tar.bz2"
+sha256sums="5188b5a4246ba3c7a2abbf4ddcb3b3457430166244035bf3c70036fb08944846  waf-1.8.16.tar.bz2"
+sha512sums="128484b9cdcd9f2aacdf089b20af016b2ddd862423dab537416b10ad8c8470202b0a9ab02c862be5fc11f73e24b98650e89e6808a3f9fd1f2a4e281fae3843e1  waf-1.8.16.tar.bz2"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 20 2015 - 12:04:55 GMT